# Barman

Formulates and serves your project behind the bar.
Barman creates the base of your project. It is used by michelada.io to get a jump start on a working app.

## Installation

install it yourself as:

    $ gem install barman

## Available generators

- qa

  Creates a base project structure to work with capybara and selenium, includes configuration of multiple webdrivers(chrome, firefox, phantomjs, android)

## Usage

#### Create a new qa project

```
  $ barman new qa new_project
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on Gitlab at https://git.michelada.io/brewery/barman. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

